%define pkg_name        Class-DBI-Pager
%define pkg_version     0.08
%define rpm_pkg_version 0.08
%define rpm_pkg_release 2.n0i.10

Summary:       Pager utility for Class::DBI
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MI/MIYAGAWA/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
Requires:      perl(Class::DBI) >= 0.9
Requires:      perl(Data::Page) >= 0.13
Requires:      perl(Exporter::Lite) >= 0.01
%{!?_without_test:BuildRequires: perl(Class::DBI) >= 0.9}
%{!?_without_test:BuildRequires: perl(Data::Page) >= 0.13}
%{!?_without_test:BuildRequires: perl(Exporter::Lite) >= 0.01}
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.32}


%description
Class::DBI::Pager is a plugin for Class::DBI, which glues Data::Page
with Class::DBI. This module reduces your work a lot, for example when
you have to do something like:
  * retrieve objects from a database
  * display objects with 20 items per page


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.08-2.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Fri Mar 03 2006 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.9
- version 0.08

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 0.07-1.n0i.8
- version 0.07

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.06-3.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.06-2.n0i.6
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:0.06-1.n0i.5
- version 0.06

* Tue May 04 2004 Marius Feraru <altblue@n0i.net> 0:0.05-2.n0i.4
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:0.05-1.n0i.3
- automatic rebuild (perl v.5.8.3)

* Sat Jan 10 2004 Marius FERARU <altblue@n0i.net> 0:0.05-0.n0i.2
- version 0.05
- added BuildRequires

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 0:0.04-0.n0i.1
- version 0.04
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
